Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02675 Sound Minor Always Nov 24, 2008, 20:11 Apr 2, 2012, 18:38
Tester JudgeSpear View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver seibuspi.cpp
Version 0.128u4 Fixed in Version 0.145u6 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 02675: rdft, rdft2: Music used in the boss levels of Raiden Fighters and Raiden Fighters 2 play (Mssion 1-3, 2-3) slower than the original.
Description In Raiden Fighters and Raiden Fighters 2 (Mission 1-3 and 2-3), the music played during the Boss levels play at a slower speed than in the actual PCBs. Example:

Raiden Fighters 2 (video of play of stages 4-6, PCB capture):


MAME plays the music in the boss levels slower than the actual PCBs.
Steps To Reproduce In either Raiden Fighters or Raiden Fighters 2, reach the boss area (denoted by the flashing WARNING sign) or either level 3 or level 6. The music will begin playing, and it will be slower than it is played on the actual PCB.
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems rdft, rdft2
Attached Files
mp3 file icon rdft_mame_0128u4.mp3 (392,400 bytes) Nov 27, 2008, 08:09
mp3 file icon rdft_pcb.mp3 (251,040 bytes) Nov 27, 2008, 08:09
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.03124
Fujix
Administrator
Nov 25, 2008, 20:51
Can we have an original source for rdft?
User avatar
No.03128
JudgeSpear
Tester
Nov 26, 2008, 19:32
Original Source for rdft:

http://www.super-play.co.uk/file.php/285/Alamone_RaidenFighters_UptoStage7.avi
User avatar
No.03138
Fujix
Administrator
Nov 27, 2008, 08:10
Thanks for the link. I uploaded sound clips for comparison.
User avatar
No.08430
Tafoid
Administrator
Apr 2, 2012, 18:38
edited on: Apr 2, 2012, 18:38
Fixed by Sonikos (via external submission - r15861)